This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 209880 - Badly recognized device: Sharp Zaurus SL-C3200
Badly recognized device: Sharp Zaurus SL-C3200
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-07 07:15 EDT by ondra
Modified: 2008-06-16 21:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:13:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg and lsusb info about bugzilla_209880 Zaurus SL-C3200 (9.99 KB, text/plain)
2006-10-17 05:55 EDT, ondra
no flags Details

  None (edit)
Description ondra 2006-10-07 07:15:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; cs-CZ; rv:1.8.0.7) Gecko/20060913 Fedora/1.5.0.7-1.fc5 Firefox/1.5.0.7 pango-text

Description of problem:
When I connect via USB cable Sharp Zaurus SL-C3200 to FC5 as a mass storage device, 8 devices sda - sdh are created with the same content. USB device is badly recognized as 
Bus 004 Device 003: ID 04dd:9050 Sharp Corp. Zaurus C-860 PDA

dmesg
...
usb 4-2: new full speed USB device using uhci_hcd and address 2
usb 4-2: configuration #1 chosen from 1 choice
SCSI subsystem initialized
Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
usb-storage: device scan complete
 0:0:0:0: Attached scsi generic sg0 type 0
 0:0:0:1: Attached scsi generic sg1 type 0
 0:0:0:2: Attached scsi generic sg2 type 0
 0:0:0:3: Attached scsi generic sg3 type 0
 0:0:0:4: Attached scsi generic sg4 type 0
 0:0:0:5: Attached scsi generic sg5 type 0
 0:0:0:6: Attached scsi generic sg6 type 0
 0:0:0:7: Attached scsi generic sg7 type 0
sd 0:0:0:0: Attached scsi removable disk sda
sd 0:0:0:1: Attached scsi removable disk sdb
sd 0:0:0:2: Attached scsi removable disk sdc
sd 0:0:0:3: Attached scsi removable disk sdd
sd 0:0:0:4: Attached scsi removable disk sde
sd 0:0:0:5: Attached scsi removable disk sdf
sd 0:0:0:6: Attached scsi removable disk sdg
sd 0:0:0:7: Attached scsi removable disk sdh
usb 4-2: USB disconnect, address 2
usb 4-2: new full speed USB device using uhci_hcd and address 3
usb 4-2: configuration #1 chosen from 1 choice
scsi1 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 3
usb-storage: waiting for device to settle before scanning
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sda: 11959920 512-byte hdwr sectors (6123 MB)
sda: Write Protect is off
sda: Mode Sense: 43 00 00 00
sda: assuming drive cache: write through
SCSI device sda: 11959920 512-byte hdwr sectors (6123 MB)
sda: Write Protect is off
sda: Mode Sense: 43 00 00 00
sda: assuming drive cache: write through
 sda:
sd 1:0:0:0: Attached scsi removable disk sda
sd 1:0:0:0: Attached scsi generic sg0 type 0
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sdb: 11959920 512-byte hdwr sectors (6123 MB)
sdb: Write Protect is off
sdb: Mode Sense: 43 00 00 00
sdb: assuming drive cache: write through
SCSI device sdb: 11959920 512-byte hdwr sectors (6123 MB)
sdb: Write Protect is off
sdb: Mode Sense: 43 00 00 00
sdb: assuming drive cache: write through
 sdb:
sd 1:0:0:1: Attached scsi removable disk sdb
sd 1:0:0:1: Attached scsi generic sg1 type 0
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sdc: 11959920 512-byte hdwr sectors (6123 MB)
sdc: Write Protect is off
sdc: Mode Sense: 43 00 00 00
sdc: assuming drive cache: write through
SCSI device sdc: 11959920 512-byte hdwr sectors (6123 MB)
sdc: Write Protect is off
sdc: Mode Sense: 43 00 00 00
sdc: assuming drive cache: write through
 sdc:
sd 1:0:0:2: Attached scsi removable disk sdc
sd 1:0:0:2: Attached scsi generic sg2 type 0
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sdd: 11959920 512-byte hdwr sectors (6123 MB)
sdd: Write Protect is off
sdd: Mode Sense: 43 00 00 00
sdd: assuming drive cache: write through
SCSI device sdd: 11959920 512-byte hdwr sectors (6123 MB)
sdd: Write Protect is off
sdd: Mode Sense: 43 00 00 00
sdd: assuming drive cache: write through
 sdd:
sd 1:0:0:3: Attached scsi removable disk sdd
sd 1:0:0:3: Attached scsi generic sg3 type 0
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sde: 11959920 512-byte hdwr sectors (6123 MB)
sde: Write Protect is off
sde: Mode Sense: 43 00 00 00
sde: assuming drive cache: write through
SCSI device sde: 11959920 512-byte hdwr sectors (6123 MB)
sde: Write Protect is off
sde: Mode Sense: 43 00 00 00
sde: assuming drive cache: write through
 sde:
sd 1:0:0:4: Attached scsi removable disk sde
sd 1:0:0:4: Attached scsi generic sg4 type 0
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sdf: 11959920 512-byte hdwr sectors (6123 MB)
sdf: Write Protect is off
sdf: Mode Sense: 43 00 00 00
sdf: assuming drive cache: write through
SCSI device sdf: 11959920 512-byte hdwr sectors (6123 MB)
sdf: Write Protect is off
sdf: Mode Sense: 43 00 00 00
sdf: assuming drive cache: write through
 sdf:
sd 1:0:0:5: Attached scsi removable disk sdf
sd 1:0:0:5: Attached scsi generic sg5 type 0
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sdg: 11959920 512-byte hdwr sectors (6123 MB)
sdg: Write Protect is off
sdg: Mode Sense: 43 00 00 00
sdg: assuming drive cache: write through
SCSI device sdg: 11959920 512-byte hdwr sectors (6123 MB)
sdg: Write Protect is off
sdg: Mode Sense: 43 00 00 00
sdg: assuming drive cache: write through
 sdg:
sd 1:0:0:6: Attached scsi removable disk sdg
sd 1:0:0:6: Attached scsi generic sg6 type 0
  Vendor: Sharp     Model: SL-C3200          Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sdh: 11959920 512-byte hdwr sectors (6123 MB)
sdh: Write Protect is off
sdh: Mode Sense: 43 00 00 00
sdh: assuming drive cache: write through
SCSI device sdh: 11959920 512-byte hdwr sectors (6123 MB)
sdh: Write Protect is off
sdh: Mode Sense: 43 00 00 00
sdh: assuming drive cache: write through
 sdh:
sd 1:0:0:7: Attached scsi removable disk sdh
sd 1:0:0:7: Attached scsi generic sg7 type 0
usb-storage: device scan complete
SELinux: initialized (dev sda, type vfat), uses genfs_contexts
SELinux: initialized (dev sdc, type vfat), uses genfs_contexts
SELinux: initialized (dev sde, type vfat), uses genfs_contexts
SELinux: initialized (dev sdb, type vfat), uses genfs_contexts
SELinux: initialized (dev sdd, type vfat), uses genfs_contexts
SELinux: initialized (dev sdf, type vfat), uses genfs_contexts
SELinux: initialized (dev sdg, type vfat), uses genfs_contexts
SELinux: initialized (dev sdh, type vfat), uses genfs_contexts

after remounting all the devices and disconneting the cable
dmesg
usb 4-2: USB disconnect, address 3
 1:0:0:4: rejecting I/O to dead device
 1:0:0:4: rejecting I/O to dead device
 1:0:0:4: rejecting I/O to dead device
 1:0:0:4: rejecting I/O to dead device
sde : READ CAPACITY failed.
sde : status=0, message=00, host=1, driver=00
sde : sense not available.
 1:0:0:4: rejecting I/O to dead device
sde: Write Protect is off
sde: Mode Sense: 00 00 00 00
sde: assuming drive cache: write through
 1:0:0:4: rejecting I/O to dead device
 1:0:0:4: rejecting I/O to dead device
 1:0:0:4: rejecting I/O to dead device
 1:0:0:4: rejecting I/O to dead device
sde : READ CAPACITY failed.
sde : status=0, message=00, host=1, driver=00
sde : sense not available.
 1:0:0:4: rejecting I/O to dead device
sde: Write Protect is off
sde: Mode Sense: 00 00 00 00
sde: assuming drive cache: write through
 sde:<3> 1:0:0:4: rejecting I/O to dead device
Buffer I/O error on device sde, logical block 0
 1:0:0:4: rejecting I/O to dead device
Buffer I/O error on device sde, logical block 0
 1:0:0:4: rejecting I/O to dead device
Buffer I/O error on device sde, logical block 0
 unable to read partition table
 1:0:0:0: rejecting I/O to dead device
 1:0:0:0: rejecting I/O to dead device
 1:0:0:0: rejecting I/O to dead device
 1:0:0:0: rejecting I/O to dead device
sda : READ CAPACITY failed.
sda : status=0, message=00, host=1, driver=00
sda : sense not available.
 1:0:0:0: rejecting I/O to dead device
sda: Write Protect is off
sda: Mode Sense: 00 00 00 00
sda: assuming drive cache: write through
 1:0:0:0: rejecting I/O to dead device
 1:0:0:0: rejecting I/O to dead device
 1:0:0:0: rejecting I/O to dead device
 1:0:0:0: rejecting I/O to dead device
sda : READ CAPACITY failed.
sda : status=0, message=00, host=1, driver=00
sda : sense not available.
 1:0:0:0: rejecting I/O to dead device
sda: Write Protect is off
sda: Mode Sense: 00 00 00 00
sda: assuming drive cache: write through
 sda:<3> 1:0:0:0: rejecting I/O to dead device
Buffer I/O error on device sda, logical block 0
 1:0:0:0: rejecting I/O to dead device
Buffer I/O error on device sda, logical block 0
 1:0:0:0: rejecting I/O to dead device
Buffer I/O error on device sda, logical block 0
 unable to read partition tab

-------------------------------
When I connect Zaurus SL-C3200 as a device for synchronisation, device is badly recognized as
Bus 004 Device 004: ID 04dd:9031 Sharp Corp. Zaurus C-750/C-760/C-860/SL-C3000 PDA

dmesg
usb 4-2: new full speed USB device using uhci_hcd and address 4
usb 4-2: configuration #1 chosen from 1 choice
usbcore: registered new driver cdc_ether
usb0: register 'zaurus' at usb-0000:00:1d.3-2, pseudo-MDLM (BLAN) device, 16:71:65:c6:9c:b1
usbcore: registered new driver zaurus

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2174_FC5 or usbcore

How reproducible:
Always


Steps to Reproduce:
1. connect cable
2. start Zaurus as a storage device / sync
3.

Actual Results:
8 new devices are created intead of one

Expected Results:
Only one mass storage device should be created and Zaurus SL-C3200 should be recognized as Zaurus SL-C3200

Additional info:
Comment 1 Dave Jones 2006-10-16 17:22:27 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 ondra 2006-10-17 05:55:21 EDT
Created attachment 138671 [details]
dmesg and lsusb info about bugzilla_209880 Zaurus SL-C3200

Additional info for bug Bug 209880: Badly recognized device: Sharp Zaurus
SL-C3200
dmesg + lsusb for the mode PC-link/mass storage
Comment 3 ondra 2006-10-17 05:58:55 EDT
Hello, 
with 2.6.18-1.2200.fc5 I have the same problem. I created an attachment
(id=138671) with additional information.
Comment 4 ondra 2006-10-23 15:03:31 EDT
Hello, 
it is impossible to unmount created devices clearly - they seem to be unmounted,
but they are still present in Nautilus panel and Zaurus doesn't close the
connection (as it does when unplugged from Windows XP).

Created devices are labeled with "ë"
O.
Comment 5 Pete Zaitcev 2007-08-28 00:23:25 EDT
Is this still reproducible? If yes, it may be fixable (with US_FL_SINGLE_LUN).
Comment 6 ondra 2007-09-25 12:29:11 EDT
Linux version 2.6.21-1.3194.fc7 (kojibuilder@xenbuilder4.fedora.phx.redhat.com)
(gcc version 4.1.2 20070502 (Red Hat 4.1.2-12)) #1 SMP Wed May 23 22:35:01 EDT 2007
Still the same problem.
Comment 7 Bug Zapper 2008-04-03 23:56:05 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 ondra 2008-04-04 02:25:06 EDT
As writen before, reproducible at least with version 7.
Comment 9 Bug Zapper 2008-05-14 08:03:23 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 21:13:39 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.